Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Class BeanieBabyImpl

    java.lang.Object
      |
      +--theory.smart.foundation.EntityImpl
            |
            +--theory.smart.foundation.ConfigurableEntityImpl
                  |
                  +--theory.smart.ebusiness.item.ItemImpl
                        |
                        +--examples.buybeans.item.BasicBeanImpl
                              |
                              +--examples.buybeans.item.BeanieBabyImpl

public class BeanieBabyImpl
extends BasicBeanImpl

This is an item that has the special characteristics of a Beanie Baby.

     Primary Key = examples.buybeans.item.BeanieBabyPk

See Also:
  `BeanieBaby`, `BeanieBabyHome`, `BeanieBabyValue`, Serialized Form

Field Summary
`boolean` | `anomaly` anomaly [BeanieBaby] <*>------> [`boolean`]
`int` | `availability` availability [BeanieBaby] <*>------> [`int`]
`java.lang.String` | `image` image [BeanieBaby] <*>------> [`String`]
`boolean` | `retired` retired [BeanieBaby] <*>------> [`boolean`]

Fields inherited from class examples.buybeans.item.BasicBeanImpl
`customerRating, fullDescription`

Fields inherited from class theory.smart.ebusiness.item.ItemImpl
`description, identifier, price, qualities, supplier, version`

Fields inherited from class theory.smart.foundation.EntityImpl
`ctx, isDirty, isLoaded`

Constructor Summary
`BeanieBabyImpl()`

Method Summary
`void` | `ejbActivate()` ejbActivate method.
`BeanieBabyPk` | `ejbCreate(BeanieBabyPk beanieBabyPk)`
`protected void` | `ejbCreateInitVars(BeanieBabyPk beanieBabyPk)`
`java.util.Enumeration` | `ejbFindAll()`
`BeanieBabyPk` | `ejbFindByPrimaryKey(BeanieBabyPk pk)`
`void` | `ejbLoad()` ejbLoad method.
`void` | `ejbPassivate()` ejbPassivate method.
`void` | `ejbPostCreate(BeanieBabyPk beanieBabyPk)`
`void` | `ejbRemove()` ejbRemove method.
`void` | `ejbStore()` ejbStore method.
`boolean` | `getAnomaly()` Get the value of anomaly
`int` | `getAvailability()` Get the value of availability
`BeanieBabyValue` | `getBeanieBabyByValue()` Get all of BeanieBaby's attributes.
`java.lang.String` | `getImage()` Get the value of image
`boolean` | `getRetired()` Get the value of retired
`void` | `setAnomaly(boolean anomaly)` Set the value of anomaly
`void` | `setAvailability(int availability)` Set the value of availability
`void` | `setBeanieBabyByValue(BeanieBabyValue value)` Set all of BeanieBaby's attributes to the passed in value.
`void` | `setEntityContext(EntityContext ctx)` setEntityContext method.
`void` | `setImage(java.lang.String image)` Set the value of image
`void` | `setRetired(boolean retired)` Set the value of retired
`void` | `unsetEntityContext()` unsetEntityContext method.

Methods inherited from class examples.buybeans.item.BasicBeanImpl
`ejbCreate, ejbCreateInitVars, ejbFindByPrimaryKey, ejbPostCreate, getBasicBeanByValue, getCustomerRating, getFullDescription, setBasicBeanByValue, setCustomerRating, setFullDescription`

Methods inherited from class theory.smart.ebusiness.item.ItemImpl
`addFirstQuality, addLastQuality, addQualities, addQualities, addQuality, addQuality, calculatePrice, calculatePrice, containsQuality, ejbCreate, ejbCreateInitVars, ejbFindByPrimaryKey, ejbPostCreate, getDefaultItemPriceCalculationPolicy, getDescription, getFirstQuality, getIdentifier, getItemByValue, getLastQuality, getNumberOfQualities, getPrice, getQualities, getQualities, getQuality, getSupplier, getVersion, indexOfQuality, isQualitiesEmtpy, lastIndexOfQuality, removeAllQualities, removeFirstQuality, removeLastQuality, removeQuality, removeQuality, setDefaultItemPriceCalculationPolicy, setDescription, setItemByValue, setPrice, setQuality`

Methods inherited from class theory.smart.foundation.ConfigurableEntityImpl
`addBusinessPolicy, addProperty, ejbCreate, ejbPostCreate, getBusinessPolicy, getProperty, removeBusinessPolicy, removeProperty, setSuccessorAtClassLevel, setSuccessorAtInstanceLevel`

Methods inherited from class theory.smart.foundation.EntityImpl
`ejbCreateInitVars, getEntityContext, isModified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### retired

    public boolean retired

                        retired
       [BeanieBaby] <*>------> [boolean]

### anomaly

    public boolean anomaly

                        anomaly
       [BeanieBaby] <*>------> [boolean]

### availability

    public int availability

                        availability
       [BeanieBaby] <*>------> [int]

### image

    public java.lang.String image

                        image
       [BeanieBaby] <*>------> [String]

Constructor Detail

### BeanieBabyImpl

    public BeanieBabyImpl()
                   throws CreateException

Method Detail

### getBeanieBabyByValue

    public BeanieBabyValue getBeanieBabyByValue()
                                         throws java.rmi.RemoteException

  Get all of BeanieBaby's attributes.
  Returns:
    BeanieBabyValue the BeanieBaby value object

### setBeanieBabyByValue

    public void setBeanieBabyByValue(BeanieBabyValue value)
                              throws java.rmi.RemoteException

  Set all of BeanieBaby's attributes to the passed in value. Note: Primary key attributes are not set.
  Parameters:
    `BeanieBabyValue` - the BeanieBaby value object

### ejbCreate

    public BeanieBabyPk ejbCreate(BeanieBabyPk beanieBabyPk)
                           throws CreateException,
                                  java.rmi.RemoteException

### ejbCreateInitVars

    protected void ejbCreateInitVars(BeanieBabyPk beanieBabyPk)
                              throws CreateException,
                                     java.rmi.RemoteException

### ejbPostCreate

    public void ejbPostCreate(BeanieBabyPk beanieBabyPk)
                       throws CreateException,
                              java.rmi.RemoteException

### ejbLoad

    public void ejbLoad()
                 throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbLoad method.
  Overrides:
    ejbLoad in class BasicBeanImpl

### ejbStore

    public void ejbStore()
                  throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbStore method.
  Overrides:
    ejbStore in class BasicBeanImpl

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException,
                          RemoveException

  Description copied from class: EntityImpl
  ejbRemove method.
  Overrides:
    ejbRemove in class BasicBeanImpl

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbActivate method.
  Overrides:
    ejbActivate in class BasicBeanImpl

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  ejbPassivate method.
  Overrides:
    ejbPassivate in class BasicBeanImpl

### setEntityContext

    public void setEntityContext(EntityContext ctx)
                          throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  setEntityContext method.
  Overrides:
    setEntityContext in class BasicBeanImpl

### unsetEntityContext

    public void unsetEntityContext()
                            throws java.rmi.RemoteException

  Description copied from class: EntityImpl
  unsetEntityContext method.
  Overrides:
    unsetEntityContext in class BasicBeanImpl

### ejbFindByPrimaryKey

    public BeanieBabyPk ejbFindByPrimaryKey(BeanieBabyPk pk)
                                     throws FinderException,
                                            java.rmi.RemoteException

### ejbFindAll

    public java.util.Enumeration ejbFindAll()
                                     throws FinderException,
                                            java.rmi.RemoteException

  Overrides:
    ejbFindAll in class BasicBeanImpl

### getRetired

    public boolean getRetired()
                       throws java.rmi.RemoteException

  Get the value of retired
  Returns:
    retired.

### setRetired

    public void setRetired(boolean retired)
                    throws java.rmi.RemoteException

  Set the value of retired
  Parameters:
    `retired` - retired to be added

### getAnomaly

    public boolean getAnomaly()
                       throws java.rmi.RemoteException

  Get the value of anomaly
  Returns:
    anomaly.

### setAnomaly

    public void setAnomaly(boolean anomaly)
                    throws java.rmi.RemoteException

  Set the value of anomaly
  Parameters:
    `anomaly` - anomaly to be added

### getAvailability

    public int getAvailability()
                        throws java.rmi.RemoteException

  Get the value of availability
  Returns:
    availability.

### setAvailability

    public void setAvailability(int availability)
                         throws java.rmi.RemoteException

  Set the value of availability
  Parameters:
    `availability` - availability to be added

### getImage

    public java.lang.String getImage()
                              throws java.rmi.RemoteException

  Get the value of image
  Returns:
    image.

### setImage

    public void setImage(java.lang.String image)
                  throws java.rmi.RemoteException

  Set the value of image
  Parameters:
    `image` - image to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.